function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Introduction to ALSB","0");
A=P.fN("Tasks","1");
var B=A.fN("Working with Projects, Folders, Resources, and Configurations","2");
var C=B.fN("Editing Resources","3");
C=B.fN("Cloning ALSB Projects and Folders","4");
C=B.fN("Creating ALSB Configuration Projects","5");
C=B.fN("Creating ALSB Projects","6");
C=B.fN("Creating Custom Resources","7");
C=B.fN("Creating JNDI Provider Resources","8");
C=B.fN("Creating Message Format Files","9");
C=B.fN("Editing JNDI Provider Resources","10");
C=B.fN("Exporting Resources","11");
C=B.fN("Generating an Effective WSDL","12");
C=B.fN("Modifying JAR Dependencies","13");
C=B.fN("Importing Resources","14");
C=B.fN("Creating Servers","15");
C=B.fN("Creating Service Account Resources","16");
C=B.fN("Creating Service Key Provider Resources","17");
C=B.fN("Creating SMTP Server Resources","18");
C=B.fN("Creating XQuery Transformations","19");
C=B.fN("Creating XSL Transformations","20");
B=A.fN("Working with Business Services","21");
C=B.fN("Creating Business Services","22");
C=B.fN("Editing Business Services","23");
B=A.fN("Working with Proxy Services","24");
C=B.fN("Creating Proxy Services","25");
C=B.fN("Editing Proxy Services","26");
B=A.fN("Working with Alert Destinations","27");
C=B.fN("Creating Alert Destinations","28");
C=B.fN("Editing Alert Destinations","29");
C=B.fN("Adding E-mail Recipients to Alert Destinations","30");
C=B.fN("Adding JMS Destinations to Alert Destinations","31");
B=A.fN("Working with Proxy Service Message Flows","32");
C=B.fN("Constructing Proxy Service Message Flows","33");
C=B.fN("Adding and Configuring Alert Actions in Message Flows","34");
C=B.fN("Adding and Configuring Assign Actions in Message Flows","35");
C=B.fN("Adding and Configuring Conditional Branch Nodes in Message Flows","36");
C=B.fN("Adding and Configuring Delete Actions in Message Flows","37");
C=B.fN("Adding and Configuring Dynamic Publish Actions in Message Flows","38");
C=B.fN("Adding and Configuring Dynamic Routing Actions in Message Flows","39");
C=B.fN("Adding and Configuring Error Handlers in Message Flows","40");
C=B.fN("Adding and Configuring For-Each Actions in Message Flows","41");
C=B.fN("Adding and Configuring If-Then Actions in Message Flows","42");
C=B.fN("Adding and Configuring Insert Actions in Message Flows","43");
C=B.fN("Adding and Configuring Java Callout Actions in Message Flows","44");
C=B.fN("Adding and Configuring Log Actions in Message Flows","45");
C=B.fN("Adding and Configuring MFL Transform Actions in Message Flows","46");
C=B.fN("Adding and Configuring Operational Branch Nodes in Message Flows","47");
C=B.fN("Adding and Configuring Pipeline Pair Nodes in Message Flows","48");
C=B.fN("Adding and Configuring Publish Actions in Message Flows","49");
C=B.fN("Adding and Configuring Publish Table Actions in Message Flows","50");
C=B.fN("Adding and Configuring Raise Error Actions in Message Flows","51");
C=B.fN("Adding and Configuring Rename Actions in Message Flows","52");
C=B.fN("Adding and Configuring Replace Actions in Message Flows","53");
C=B.fN("Adding and Configuring Reply Actions in Message Flows","54");
C=B.fN("Adding and Configuring Report Actions in Message Flows","55");
C=B.fN("Adding and Configuring Resume Actions in Message Flows","56");
C=B.fN("Adding and Configuring Route Nodes in Message Flows","57");
C=B.fN("Adding and Configuring Routing Actions in Message Flows","58");
C=B.fN("Adding and Configuring Routing Options Actions in Message Flows","59");
C=B.fN("Adding and Configuring Routing Table Actions in Message Flows","60");
C=B.fN("Adding and Configuring Service Callout Actions in Message Flows","61");
C=B.fN("Adding and Configuring Skip Actions in Message Flows","62");
C=B.fN("Adding and Configuring Stages in Message Flows","63");
C=B.fN("Adding and Configuring Transport Headers Actions in Message Flows","64");
C=B.fN("Adding and Configuring Validate Actions in Message Flows","65");
B=A.fN("Working with MQ Connections","66");
C=B.fN("Adding MQ Connections","67");
C=B.fN("Editing MQ Connections","68");
B=A.fN("Working with UDDI Registries","69");
C=B.fN("Adding UDDI Registries","70");
C=B.fN("Configuring UDDI Registries","71");
C=B.fN("Importing Business Services From a UDDI Registry","72");
B=A.fN("Working with Split-Join","73");
C=B.fN("Introduction to Split-Join","74");
C=B.fN("Designing a Split-Join","75");
var D=C.fN("Initial Setup","75#wp1145104");
var E=D.fN("Creating/Importing a WSDL Containing the Base Operation","75#wp1145106");
E=D.fN("Creating/Importing a Business Service to Use the Split-Join","75#wp1145108");
C=B.fN("Designing a Static Split-Join","76");
D=C.fN("1. Creating a New Split-Join","76#wp1145144");
D=C.fN("2. Adding an Assign","76#wp1145157");
D=C.fN("3. Adding a Parallel Node","76#wp1145164");
D=C.fN("4. Adding an Assign for Each Branch","76#wp1145171");
D=C.fN("5. Adding an Invoke External Service","76#wp1145178");
D=C.fN("6. Adding an Assign for Each Branch","76#wp1145181");
D=C.fN("7. Exporting and Testing the Split-Join","76#wp1145189");
C=B.fN("Designing a Dynamic Split-Join","77");
D=C.fN("1. Creating a New Split-Join","77#wp1145259");
D=C.fN("2. Adding an Assign","77#wp1145272");
D=C.fN("3. Adding a For Each","77#wp1145279");
D=C.fN("4. Adding an Assign","77#wp1145287");
D=C.fN("5. Adding an Invoke External Service","77#wp1145294");
D=C.fN("6. Adding an Assign","77#wp1145297");
D=C.fN("7. Adding an Error Handler","77#wp1145304");
D=C.fN("8. Exporting and Testing the Split-Join","77#wp1145311");
C=B.fN("Creating a New Split-Join","78");
C=B.fN("Configuring the Start Node","79");
D=C.fN("Adding General Information","79#wp1145392");
D=C.fN("Defining Global Variables","79#wp1145396");
D=C.fN("Viewing External Services","79#wp1145417");
C=B.fN("Configuring a Receive","80");
D=C.fN("Viewing the Operation","80#wp1145434");
D=C.fN("Defining the Receive Variable","80#wp1145436");
D=C.fN("Adding General Information","80#wp1145446");
C=B.fN("Creating an Assign","81");
D=C.fN("Adding and Configuring Assign Operations","81#wp1145460");
E=D.fN("Adding a Copy Operation","81#wp1145488");
D=C.fN("Adding General Information","81#wp1145497");
C=B.fN("Creating an Invoking External Service","82");
D=C.fN("Selecting an Operation","82#wp1145521");
D=C.fN("Defining Input and Output Variables","82#wp1145528");
D=C.fN("Adding General Information","82#wp1145541");
C=B.fN("Creating a Parallel","83");
D=C.fN("Adding Nodes","83#wp1145563");
D=C.fN("Adding General Information","83#wp1145570");
C=B.fN("Creating a For Each","84");
D=C.fN("Defining the For Each Logic","84#wp1145591");
D=C.fN("Adding General Information","84#wp1145599");
C=B.fN("Creating an If Activity","85");
D=C.fN("Configuring the If","85#wp1145630");
E=D.fN("Writing the logic of the condition","85#wp1145638");
E=D.fN("Adding resulting nodes","85#wp1145640");
E=D.fN("Adding General Information","85#wp1145642");
D=C.fN("Adding and Configuring Else If","85#wp1145646");
E=D.fN("Writing the Logic of the Condition","85#wp1145659");
E=D.fN("Adding Resulting Nodes","85#wp1145661");
E=D.fN("Adding General Information","85#wp1145663");
D=C.fN("Configuring the Else","85#wp1145667");
E=D.fN("Adding Resulting Nodes","85#wp1145674");
D=C.fN("Adding General Information","85#wp1145676");
C=B.fN("Creating an Error Handler","86");
C=B.fN("Creating a Raise Error","87");
C=B.fN("Configuring a Reply","88");
D=C.fN("Viewing the Operation","88#wp1145730");
D=C.fN("Defining the Reply Variable","88#wp1145732");
D=C.fN("Adding General Information","88#wp1145762");
C=B.fN("About Scope","89");
C=B.fN("Exporting and Testing a Split-Join","90");
D=C.fN("Creating a Transport Typed Business Service","90#wp1145782");
D=C.fN("Exporting the Split-Join Files","90#wp1145792");
E=D.fN("Exporting from the Business Service Menu","90#wp1145799");
E=D.fN("Auto-export","90#wp1145807");
E=D.fN("Manual export","90#wp1145812");
D=C.fN("Testing the Split-Join in the Test Console","90#wp1145826");
E=D.fN("Exporting from the Business Service Menu","90#wp1145828");
A=P.fN("User Interface Reference","91");
B=A.fN("Alerts","92");
C=B.fN("Alert Destination editor","93");
C=B.fN("Edit E-mail Recipient page","94");
C=B.fN("Edit JMS Destination page","95");
B=A.fN("AquaLogic Business Service Configuration","96");
C=B.fN("Business Service General Configuration page","97");
C=B.fN("Business Service Message Type Configuration page","98");
C=B.fN("Business Service Service Policy Configuration page","99");
C=B.fN("Business Service SOAP Binding Configuration page","100");
C=B.fN("Business Service Transport Configuration page","101");
B=A.fN("AquaLogic Proxy Service Configuration","102");
C=B.fN("Proxy Service General Configuration page","103");
C=B.fN("Proxy Service Message Level Security Configuration page","104");
C=B.fN("Proxy Service Message Type Configuration page","105");
C=B.fN("Proxy Service Operation Selection Configuration page","106");
C=B.fN("Proxy Service Service Policy Configuration page","107");
C=B.fN("Proxy Service SOAP Binding Configuration page","108");
C=B.fN("Proxy Service Transport Configuration page","109");
B=A.fN("ALSB Configurations and Projects","110");
C=B.fN("ALSB Configurations view","111");
C=B.fN("New AquaLogic Service Bus Configuration Project wizard","112");
C=B.fN("ALSB Configuration page","113");
C=B.fN("New AquaLogic Service Bus Project wizard","114");
B=A.fN("Custom Resources","115");
C=B.fN("New Custom Resource wizard","116");
C=B.fN("New Custom Resource Editor","117");
C=B.fN("New Custom Resource - Resource Type page","118");
C=B.fN("Custom MQ Resource Configuration page","119");
B=A.fN("Export wizard","120");
C=B.fN("Export wizard - ALSB Configuration JAR Export page","121");
C=B.fN("Export wizard - Export to Server - Select Resources page","122");
C=B.fN("Export wizard - Export to Server - Review Resources page","123");
B=A.fN("Import wizard","124");
C=B.fN("Import wizard - Config JAR Import - Load Resources page","125");
C=B.fN("Import wizard - Config JAR Import - Review Resources page","126");
C=B.fN("Import wizard - Config ZIP Import - Load Resources page","127");
C=B.fN("Import wizard - Config ZIP Import - Review Resources page","128");
C=B.fN("Import wizard - URL Import - Load Resources page","129");
C=B.fN("Import wizard - URL Import - Review Resources page","130");
B=A.fN("JNDI Providers","131");
C=B.fN("JNDI Provider Editor","132");
C=B.fN("New JNDI Provider Resource wizard","133");
B=A.fN("Message Flow Design Palette","134");
C=B.fN("Message Flow Nodes","135");
C=B.fN("Message Flow Route Actions - Communication Actions","136");
C=B.fN("Message Flow Route Actions - Flow Control Actions","137");
C=B.fN("Message Flow Stage Actions - Communication Actions","138");
C=B.fN("Message Flow Stage Actions - Flow Control Actions","139");
C=B.fN("Message Flow Stage Actions - Message Processing Actions","140");
C=B.fN("Message Flow Stage Actions - Reporting Actions","141");
B=A.fN("Message Flow Editor","142");
C=B.fN("Alert Action Properties","143");
C=B.fN("Assign Action Properties","144");
C=B.fN("Conditional Branch Node Properties","145");
C=B.fN("Delete Action Properties","146");
C=B.fN("Dynamic Publish Action Properties","147");
C=B.fN("Dynamic Routing Action Properties","148");
C=B.fN("Error Handler Node Properties","149");
C=B.fN("For-Each Action Properties","150");
C=B.fN("If-Then Action Properties","151");
C=B.fN("Insert Action Properties","152");
C=B.fN("Java Callout Action Properties","153");
C=B.fN("Log Action Properties","154");
C=B.fN("Message Flow Properties- Comment","155");
C=B.fN("Message Flow Properties - Namespaces","156");
C=B.fN("Message Flow Properties - Variables","157");
C=B.fN("MFL Transform Action Properties","158");
C=B.fN("Operational Branch Node Properties","159");
C=B.fN("Pipeline Pair Node Properties","160");
C=B.fN("Publish Action Properties","161");
C=B.fN("Publish Table Action Properties","162");
C=B.fN("Raise Error Action Properties","163");
C=B.fN("Rename Action Properties","164");
C=B.fN("Replace Action Properties","165");
C=B.fN("Reply Action Properties","166");
C=B.fN("Report Action Properties","167");
C=B.fN("Resume Action Properties","168");
C=B.fN("Route Node Properties","169");
C=B.fN("Routing Action Properties","170");
C=B.fN("Routing Options Action Properties","171");
C=B.fN("Routing Table Action Properties","172");
C=B.fN("Service Callout Action Properties","173");
C=B.fN("Skip Action Properties","174");
C=B.fN("Stage Node Properties","175");
C=B.fN("Transport Headers Action Properties","176");
C=B.fN("Validate Action Properties","177");
B=A.fN("Modify JAR Dependencies dialog","178");
B=A.fN("SMTP Servers","179");
C=B.fN("Edit SMTP Server page","180");
C=B.fN("New SMTP Server Resource wizard","181");
B=A.fN("UDDI Registry Configuration page","182");
B=A.fN("Outline view - AquaLogic Service Bus","183");
B=A.fN("Resource Management","184");
C=B.fN("Preferences dialog - AquaLogic Service Bus - Type Associations page","185");
C=B.fN("References view","186");
C=B.fN("Select Clone Target dialog","187");
C=B.fN("Select a Resource dialog","188");
B=A.fN("New Service Key Provider Resource wizard","189");
B=A.fN("New WS-Policy wizard","190");
B=A.fN("Service Accounts","191");
C=B.fN("New Service Account Resource wizard","192");
C=B.fN("Service Account editor - General Configuration page","193");
C=B.fN("Service Account editor - Static User Configuration page","194");
C=B.fN("Service Account editor - User Mappings Configuration page","195");
B=A.fN("Expression Editors","196");
C=B.fN("XQuery/XSLT Expression Editor","197");
C=B.fN("XPath Expression Editor","198");
C=B.fN("Condition Editor","199");
C=B.fN("Condition Builder page","200");
C=B.fN("Expression page","201");
C=B.fN("XQuery Resource page","202");
C=B.fN("XSLT Resource page","203");
C=B.fN("Variable Structures page","204");
C=B.fN("Namespace Definitions page","205");
C=B.fN("XQuery Functions page","206");
C=B.fN("Add Variable Structure dialog","207");
B=A.fN("New XSL Transformation wizard","208");
B=A.fN("Split-Join User Interface Reference","209");
C=B.fN("Split-Join Design Palette","210");
C=B.fN("Split-Join Properties View - Error Handler","211");
C=B.fN("Split-Join Properties View - External Services","212");
C=B.fN("Split-Join Properties View - Assign","213");
C=B.fN("Split-Join Properties View - Global Properties","214");
C=B.fN("Split-Join Properties View - For Each","215");
C=B.fN("Split-Join Properties View - If Activity","216");
C=B.fN("Split-Join Process Properties View - If and Else If","217");
C=B.fN("Split-Join Properties View - Invoke External Service","218");
C=B.fN("Split-Join Properties View - Parallel","219");
C=B.fN("Split-Join Properties View - Raise Error Page","220");
C=B.fN("Split-Join Properties View - Receive Page","221");
C=B.fN("Split-Join Properties View - Reply Page","222");
C=B.fN("Split-Join Properties View - Scope","223");
C=B.fN("Split-Join Properties View - Start Node","224");
C=B.fN("Split-Join Properties View - Variable","225");
C=B.fN("Assign Operation Dialog","226");
C=B.fN("Copy Literal/XPath 1.0 Expression Dialog","227");
C=B.fN("Counter Variable Dialog","228");
C=B.fN("Create/Edit Variable Dialog","229");
C=B.fN("Create Message Variable Dialog","230");
C=B.fN("Delete Action Dialog","231");
C=B.fN("Insert Action Dialog","232");
C=B.fN("Replace Action Dialog","233");
C=B.fN("Split-Join Wizard - New Split-Join","234");
C=B.fN("Split-Join Wizard - Specify Operations","235");
C=B.fN("Service Browser","236");
C=B.fN("SOAP Fault Variable Dialog","237");
C=B.fN("WSDL Browser","238");
A=P.fN("Transport Configuration","239");
B=A.fN("Protocol-Specific Transport Configuration Pages","240");
C=B.fN("DSP Transport Configuration page (Business Services)","241");
C=B.fN("EJB Transport Configuration page (Business Services)","242");
C=B.fN("E-Mail Transport Configuration page (Business Services)","243");
C=B.fN("E-Mail Transport Configuration page (Proxy Services)","244");
C=B.fN("File Transport Configuration page (Business Services)","245");
C=B.fN("File Transport Configuration page (Proxy Services)","246");
C=B.fN("FTP Transport Configuration page (Business Services)","247");
C=B.fN("FTP Transport Configuration page (Proxy Services)","248");
C=B.fN("HTTP Transport Configuration Page (Business Services)","249");
C=B.fN("HTTP Transport Configuration Page (Proxy Services)","250");
C=B.fN("JMS Transport Configuration page (Business Services)","251");
C=B.fN("JMS Transport Configuration page (Proxy Services)","252");
C=B.fN("JPD Transport Configuration page (Business Services)","253");
C=B.fN("MQ Transport Configuration page (Business Services)","254");
C=B.fN("MQ Transport Configuration page (Proxy Services)","255");
C=B.fN("SB Transport Configuration page (Business Services)","256");
C=B.fN("SB Transport Configuration page (Proxy Services)","257");
C=B.fN("SFTP Transport Configuration page (Business Services)","258");
C=B.fN("SFTP Transport Configuration page (Proxy Services)","259");
C=B.fN("Tuxedo Transport Configuration page (Business Services)","260");
C=B.fN("Tuxedo Transport Configuration page (Proxy Services)","261");
C=B.fN("WS Transport Configuration page (Business Services)","262");
C=B.fN("WS Transport Configuration page (Proxy Services)","263");
}
